GET
/
estimate
Get swap estimate.
curl --request GET \
  --url https://{environment}.garden.finance/v3/estimate \
  --header 'garden-app-id: <api-key>'
{
  "status": "Ok",
  "result": [
    {
      "source": {
        "asset": "solana_testnet:usdc",
        "amount": "15082000",
        "display": "15.08200000",
        "value": "15.0820"
      },
      "destination": {
        "asset": "solana_testnet:usdc",
        "amount": "15082000",
        "display": "15.08200000",
        "value": "15.0820"
      },
      "solver_id": "<string>",
      "estimated_time": 123,
      "slippage": 123,
      "fee": 123,
      "fixed_fee": "<string>"
    }
  ]
}
Get a price for swapping assets across different blockchain networks, without creating an order.

Authorizations

garden-app-id
string
header
required

If you do not yet have an app ID, please follow these steps.

Query Parameters

from
string
required
to
string
required
from_amount
string

Source amount in base units. Pass this or to_amount.

to_amount
string

Destination amount in base units. Pass this or from_amount.

Response

Estimate information.

status
enum<string>
Available options:
Ok
result
object[]